package com.bbd.bpm.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * Created by yanlj on 2017/10/18.
 */
@ApiModel(value = "CommonRequest")
public class CommonRequest implements Serializable {

    @ApiModelProperty(value = "签名", required = true)
    private String sign;
    @ApiModelProperty(value = "请求参数（json）")
    private String content;
    @ApiModelProperty(value = "时间戳", required = true)
    private long timestamp;
    @ApiModelProperty(value = "用户授权码", required = true)
    private String userToken;

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    public String getUserToken() {
        return userToken;
    }

    public void setUserToken(String userToken) {
        this.userToken = userToken;
    }
}
